curl --request GET \
--url https://qti.alpha-1edtech.ai/api/assessment-tests/{identifier}/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://qti.alpha-1edtech.ai/api/assessment-tests/{identifier}/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qti.alpha-1edtech.ai/api/assessment-tests/{identifier}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assessmentTest": "<string>",
"title": "<string>",
"totalQuestions": 123,
"questions": [
{
"reference": {
"identifier": "<string>",
"href": "<string>",
"testPart": "<string>",
"section": "<string>"
},
"question": {
"identifier": "<string>",
"title": "<string>",
"qtiVersion": "3.0",
"timeDependent": false,
"adaptive": false,
"rawXml": "<string>",
"content": {
"qti-assessment-item": {
"_attributes": {
"xmlns": "<string>",
"xmlns:xsi": "<string>",
"xsi:schemaLocation": "<string>",
"identifier": "<string>",
"title": "<string>",
"adaptive": "<string>",
"time-dependent": "<string>"
},
"qti-response-declaration": [
{
"_attributes": {
"identifier": "<string>",
"cardinality": "<string>",
"baseType": "<string>"
},
"qti-correct-response": {
"qti-value": [
"<string>"
]
}
}
],
"qti-outcome-declaration": [
{
"_attributes": {
"identifier": "<string>",
"cardinality": "<string>",
"baseType": "<string>"
}
}
],
"qti-assessment-stimulus-ref": [
{
"_attributes": {
"identifier": "<string>",
"href": "<string>",
"title": "<string>"
}
}
],
"qti-item-body": "<unknown>",
"qti-response-processing": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"customInteractionTypeIdentifier": "<string>",
"responseDeclarations": [
{
"identifier": "<string>",
"correctResponse": {
"value": [
"<string>"
]
}
}
],
"outcomeDeclarations": [
{
"identifier": "<string>"
}
],
"responseProcessing": {
"responseDeclarationIdentifier": "<string>",
"outcomeIdentifier": "<string>",
"correctResponseIdentifier": "<string>",
"incorrectResponseIdentifier": "<string>",
"inlineFeedback": {
"outcomeIdentifier": "<string>",
"variableIdentifier": "<string>"
}
},
"metadata": {
"subject": "Math",
"grade": "10",
"difficulty": "easy",
"learningObjectiveSet": [
{
"source": "CASE",
"learningObjectiveIds": [
"id-123",
"id-456",
"id-789"
]
}
]
},
"modalFeedback": [
{
"outcomeIdentifier": "<string>",
"identifier": "<string>",
"content": "<string>",
"title": "<string>"
}
],
"feedbackInline": [
{
"outcomeIdentifier": "<string>",
"identifier": "<string>",
"content": "<string>",
"class": [
"<string>"
]
}
],
"feedbackBlock": [
{
"outcomeIdentifier": "<string>",
"identifier": "<string>",
"content": "<string>",
"class": [
"<string>"
]
}
],
"__v": 123
}
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"eventId": "<string>"
}Get all assessment items referenced by an assessment test
Retrieve all assessment items (questions) that are referenced by an assessment test, along with their structural context (test part and section). This endpoint aggregates items from all sections across all test parts, providing both the item references and the actual assessment item data from the assessment-items collection.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the assessment test
Response
Successfully retrieved all questions
All questions from the assessment test with their complete data and reference context
Identifier of the assessment test
Title of the assessment test
Total number of questions in the assessment test
Array of questions with their reference information and complete item data
Show child attributes
Show child attributes